VRNG(4)

NAME
vrng - virtual random number generator

SYNOPSIS
vrng0 at vbus?

DESCRIPTION
The vrng driver provides support for the random number generation service provided by the UltraSPARC Hypervisor as found on sun4v systems.

Driven by periodic checks for available data from the generator, vrng supplies entropy to the random(4) driver for common usage.

SEE ALSO
intro(4), random(4), vbus(4)

HISTORY
The vrng driver first appeared in OpenBSD 4.5.

AUTHORS
The vrng driver was written by Mark Kettenis <kettenis@openbsd.org>.

BUGS
The vrng driver should probably do periodic “health checks” when running in a Trusted Domain, but currently does not.